Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 566374 - <dev-libs/libxml2-2.9.3: multiple vulnerabilities (CVE-2015-{1819,5312,7497,7498,7499,7500,7941,7942,8035,8242})
Summary: <dev-libs/libxml2-2.9.3: multiple vulnerabilities (CVE-2015-{1819,5312,7497,7...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: http://www.xmlsoft.org/news.html
Whiteboard: A3 [glsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-21 09:18 UTC by Hanno Böck
Modified: 2017-01-16 21:25 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hanno Böck gentoo-dev 2015-11-21 09:18:47 UTC
libxml 2.9.3 fixes a large number of security issues. The release notes mention 10 CVEs (and I'm aware of at least two more issues I reported myself that didn't get CVEs yet).

Please update.
Comment 1 Gilles Dartiguelongue gentoo-dev 2015-11-21 13:29:36 UTC
Note that a good load of these are already fixed in 2.9.2-r4.
Comment 2 Pacho Ramos gentoo-dev 2016-01-11 13:55:39 UTC
[master d8a8b05] dev-libs/libxml2: Version bump
 2 files changed, 216 insertions(+)
 create mode 100644 dev-libs/libxml2/libxml2-2.9.3.ebuild
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2017-01-16 21:21:25 UTC
This issue was resolved and addressed in
 GLSA 201701-37 at https://security.gentoo.org/glsa/201701-37
by GLSA coordinator Thomas Deutschmann (whissi).
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2017-01-16 21:25:30 UTC
This issue was resolved and addressed in
 GLSA 201701-37 at https://security.gentoo.org/glsa/201701-37
by GLSA coordinator Thomas Deutschmann (whissi).